Loading...
Searching...
No Matches
xdo_search Struct Reference

The window search query structure. More...

`#include <xdo.h>`

## Public Types

enum | { SEARCH_ANY , SEARCH_ALL }
| what screen to search, if any. More...

## Data Fields

const char * | title
const char * | winclass
| pattern to test against a window title
const char * | winclassname
| pattern to test against a window class
const char * | winname
| pattern to test against a window class
int | pid
| pattern to test against a window name
long | max_depth
| window pid (From window atom _NET_WM_PID)
int | only_visible
| depth of search.
int | screen
| boolean; set true to search only visible windows
enum xdo_search:: { ... } | require
| what screen to search, if any.
unsigned int | searchmask
| bitmask of things you are searching for, such as SEARCH_NAME, etc.
long | desktop
| What desktop to search, if any.
unsigned int | limit
| How many results to return?

## Detailed Description

The window search query structure.

See also
  xdo_search_windows

## Member Enumeration Documentation

## anonymous enum

anonymous enum

what screen to search, if any.

If none given, search all screens Should the tests be 'and' or 'or' ? If 'and', any failure will skip the window. If 'or', any success will keep the window in search results.

## Field Documentation

## desktop

long xdo_search::desktop

What desktop to search, if any.

If none given, search all screens.

## limit

unsigned int xdo_search::limit

How many results to return?

If 0, return all.

## only_visible

int xdo_search::only_visible

depth of search.

1 means only toplevel windows

## []

enum { ... } xdo_search::require

what screen to search, if any.

If none given, search all screens Should the tests be 'and' or 'or' ? If 'and', any failure will skip the window. If 'or', any success will keep the window in search results.

## searchmask

unsigned int xdo_search::searchmask

bitmask of things you are searching for, such as SEARCH_NAME, etc.

See also
  SEARCH_NAME, SEARCH_CLASS, SEARCH_PID, SEARCH_CLASSNAME, etc

The documentation for this struct was generated from the following file:

- xdo.h